Bug 51473 - SecurityConfig,set "package.definition" security property to "nullsun.,java.,..."
SecurityConfig,set "package.definition" security property to "nullsun.,java.,...
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
5.5.33
PC Windows XP
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-07-05 05:37 UTC by zhh
Modified: 2011-08-12 08:22 UTC (History)
0 users



Attachments
eclipse debug (26.28 KB, image/jpeg)
2011-07-05 05:37 UTC, zhh
Details
eclipse debug 2 (140.14 KB, image/jpeg)
2011-07-05 05:39 UTC, zhh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description zhh 2011-07-05 05:37:09 UTC
Created attachment 27251 [details]
eclipse debug

In method "org.apache.catalina.security.SecurityConfig.setSecurityProperty",
when i enable the SecurityManager,
if 'properties' var equals "package.definition",
Security.getProperty(properties) will return null,

so

Security.setProperty(properties, definition + packageList); 

will be

Security.setProperty("package.definition", null + packageList); 

BTW:

"package.access" security property no problem。


my jdk:
java version "1.6.0_20"
Java(TM) SE Runtime Environment (build 1.6.0_20-b02)
Java HotSpot(TM) Client VM (build 16.3-b01, mixed mode, sharing)
Comment 1 zhh 2011-07-05 05:39:50 UTC
Created attachment 27252 [details]
eclipse debug 2
Comment 2 Konstantin Kolinko 2011-07-05 07:14:01 UTC
Fixed in Tomcat 7 - will be in 7.0.18.
Proposed for 6.0 and 5.5.
Comment 3 Mark Thomas 2011-07-21 16:18:17 UTC
Fixed in 6.0.x and included in 6.0.33 onwards.
Comment 4 Mark Thomas 2011-08-12 08:22:17 UTC
This has been fixed in 5.5.x and will be included in 5.5.34 onwards.